
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>MDSLibraries.ensemble_functions module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="MDSLibraries.javascript_code_for_trees module" href="MDSLibraries.javascript_code_for_trees.html" />
    <link rel="prev" title="MDSLibraries.HHPred_parser module" href="MDSLibraries.HHPred_parser.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.javascript_code_for_trees.html" title="MDSLibraries.javascript_code_for_trees module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.HHPred_parser.html" title="MDSLibraries.HHPred_parser module"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" accesskey="U">MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="MDSLibraries.HHPred_parser.html"
                        title="previous chapter">MDSLibraries.HHPred_parser module</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="MDSLibraries.javascript_code_for_trees.html"
                        title="next chapter">MDSLibraries.javascript_code_for_trees module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/MDSLibraries.ensemble_functions.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-MDSLibraries.ensemble_functions">
<span id="mdslibraries-ensemble-functions-module"></span><h1>MDSLibraries.ensemble_functions module<a class="headerlink" href="#module-MDSLibraries.ensemble_functions" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="MDSLibraries.ensemble_functions.AllAtomSelector">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">AllAtomSelector</code><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#AllAtomSelector"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.AllAtomSelector" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Selects all atoms</p>
<p>Note this is a singleton object</p>
<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.AllAtomSelector.accepted_atom_names">
<em class="property">classmethod </em><code class="descname">accepted_atom_names</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#AllAtomSelector.accepted_atom_names"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.AllAtomSelector.accepted_atom_names" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.AllAtomSelector.is_accepted">
<em class="property">classmethod </em><code class="descname">is_accepted</code><span class="sig-paren">(</span><em>atom</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#AllAtomSelector.is_accepted"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.AllAtomSelector.is_accepted" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.Assembly">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">Assembly</code><span class="sig-paren">(</span><em>annotation</em>, <em>chains</em>, <em>associateds</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Assembly"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Assembly" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Set of chains</p>
<dl class="method">
<dt id="MDSLibraries.ensemble_functions.Assembly.all_chains">
<code class="descname">all_chains</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Assembly.all_chains"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Assembly.all_chains" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.Assembly.copy_with_detached_chains">
<code class="descname">copy_with_detached_chains</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Assembly.copy_with_detached_chains"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Assembly.copy_with_detached_chains" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="MDSLibraries.ensemble_functions.Assembly.nchains">
<code class="descname">nchains</code><a class="headerlink" href="#MDSLibraries.ensemble_functions.Assembly.nchains" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.Assembly.rename_chains">
<code class="descname">rename_chains</code><span class="sig-paren">(</span><em>chainiditer</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Assembly.rename_chains"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Assembly.rename_chains" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.Assembly.transform">
<code class="descname">transform</code><span class="sig-paren">(</span><em>transformation</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Assembly.transform"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Assembly.transform" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="attribute">
<dt id="MDSLibraries.ensemble_functions.Assembly.types">
<code class="descname">types</code><a class="headerlink" href="#MDSLibraries.ensemble_functions.Assembly.types" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.AssemblyAnnotation">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">AssemblyAnnotation</code><span class="sig-paren">(</span><em>filename</em>, <em>model</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#AssemblyAnnotation"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.AssemblyAnnotation" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Annotation for an assembly</p>
<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.AssemblyAnnotation.from_pdb_object">
<em class="property">classmethod </em><code class="descname">from_pdb_object</code><span class="sig-paren">(</span><em>pdb</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#AssemblyAnnotation.from_pdb_object"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.AssemblyAnnotation.from_pdb_object" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.AtomSelector">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">AtomSelector</code><span class="sig-paren">(</span><em>atoms</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#AtomSelector"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.AtomSelector" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Selects atoms</p>
<dl class="method">
<dt id="MDSLibraries.ensemble_functions.AtomSelector.accepted_atom_names">
<code class="descname">accepted_atom_names</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#AtomSelector.accepted_atom_names"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.AtomSelector.accepted_atom_names" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.AtomSelector.is_accepted">
<code class="descname">is_accepted</code><span class="sig-paren">(</span><em>atom</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#AtomSelector.is_accepted"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.AtomSelector.is_accepted" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.Chain">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">Chain</code><span class="sig-paren">(</span><em>chain</em>, <em>annotation</em>, <em>mmt</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Chain"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Chain" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>PDB chain and extra information</p>
<dl class="method">
<dt id="MDSLibraries.ensemble_functions.Chain.chainid">
<code class="descname">chainid</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Chain.chainid"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Chain.chainid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.Chain.residue_groups">
<code class="descname">residue_groups</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Chain.residue_groups"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Chain.residue_groups" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.ChainTypeSelector">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">ChainTypeSelector</code><span class="sig-paren">(</span><em>mmtypes</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#ChainTypeSelector"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.ChainTypeSelector" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Selects first chain with appropriate type</p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.DefinedAssemblyCreator">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">DefinedAssemblyCreator</code><span class="sig-paren">(</span><em>assemblies</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#DefinedAssemblyCreator"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.DefinedAssemblyCreator" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="MDSLibraries.ensemble_functions.DefinedAssemblyCreator.multi_assembly_mode">
<code class="descname">multi_assembly_mode</code><span class="sig-paren">(</span><em>filename</em>, <em>modelid</em>, <em>chains_named</em>, <em>selector</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#DefinedAssemblyCreator.multi_assembly_mode"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.DefinedAssemblyCreator.multi_assembly_mode" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.DefinedAssemblyCreator.single_assembly_mode">
<code class="descname">single_assembly_mode</code><span class="sig-paren">(</span><em>filename</em>, <em>modelid</em>, <em>chains_named</em>, <em>selector</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#DefinedAssemblyCreator.single_assembly_mode"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.DefinedAssemblyCreator.single_assembly_mode" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.EnsemblerDefault">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">EnsemblerDefault</code><span class="sig-paren">(</span><em>mmtype_name</em>, <em>residue_mapping</em>, <em>atom_selection</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#EnsemblerDefault"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.EnsemblerDefault" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="MDSLibraries.ensemble_functions.EnsemblerDefault.atom_selection">
<code class="descname">atom_selection</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#EnsemblerDefault.atom_selection"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.EnsemblerDefault.atom_selection" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.EnsemblerDefault.mmtype">
<code class="descname">mmtype</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#EnsemblerDefault.mmtype"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.EnsemblerDefault.mmtype" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.EnsemblerDefault.mmtype_name">
<code class="descname">mmtype_name</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#EnsemblerDefault.mmtype_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.EnsemblerDefault.mmtype_name" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.EnsemblerDefault.residue_mapping">
<code class="descname">residue_mapping</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#EnsemblerDefault.residue_mapping"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.EnsemblerDefault.residue_mapping" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="exception">
<dt id="MDSLibraries.ensemble_functions.EnsemblerError">
<em class="property">exception </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">EnsemblerError</code><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#EnsemblerError"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.EnsemblerError" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <code class="xref py py-class docutils literal notranslate"><span class="pre">exceptions.Exception</span></code></p>
<p>Some error occurred during ensembling</p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.MappingMethod">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">MappingMethod</code><span class="sig-paren">(</span><em>method</em>, <em>types</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#MappingMethod"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.MappingMethod" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Stores parameters for residue mapping</p>
<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.MappingMethod.ByName">
<em class="property">classmethod </em><code class="descname">ByName</code><span class="sig-paren">(</span><em>alignment</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#MappingMethod.ByName"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.MappingMethod.ByName" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.MappingMethod.MultipleAlignment">
<em class="property">classmethod </em><code class="descname">MultipleAlignment</code><span class="sig-paren">(</span><em>alignment</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#MappingMethod.MultipleAlignment"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.MappingMethod.MultipleAlignment" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.MappingMethod.Muscle">
<em class="property">classmethod </em><code class="descname">Muscle</code><span class="sig-paren">(</span><em>alignment</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#MappingMethod.Muscle"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.MappingMethod.Muscle" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.MappingMethod.Resid">
<em class="property">classmethod </em><code class="descname">Resid</code><span class="sig-paren">(</span><em>alignment</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#MappingMethod.Resid"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.MappingMethod.Resid" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.MappingMethod.SSM_Multiple">
<em class="property">classmethod </em><code class="descname">SSM_Multiple</code><span class="sig-paren">(</span><em>alignment</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#MappingMethod.SSM_Multiple"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.MappingMethod.SSM_Multiple" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.MappingMethod.SSM_Pairwise">
<em class="property">classmethod </em><code class="descname">SSM_Pairwise</code><span class="sig-paren">(</span><em>alignment</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#MappingMethod.SSM_Pairwise"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.MappingMethod.SSM_Pairwise" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.MappingMethod.is_supported_type">
<code class="descname">is_supported_type</code><span class="sig-paren">(</span><em>mmtype</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#MappingMethod.is_supported_type"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.MappingMethod.is_supported_type" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.ensemble_functions.MappingMethod.process">
<code class="descname">process</code><span class="sig-paren">(</span><em>chains</em>, <em>assemblies</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#MappingMethod.process"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.MappingMethod.process" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="staticmethod">
<dt id="MDSLibraries.ensemble_functions.MappingMethod.warn_superfluous_alignment">
<em class="property">static </em><code class="descname">warn_superfluous_alignment</code><span class="sig-paren">(</span><em>filename</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#MappingMethod.warn_superfluous_alignment"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.MappingMethod.warn_superfluous_alignment" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.Result">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">Result</code><span class="sig-paren">(</span><em>assembly</em>, <em>transformation</em>, <em>wrmsd</em>, <em>unwrmsd</em>, <em>overlap</em>, <em>clusterids</em>, <em>errors</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Result"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Result" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Result of ensembling calculation</p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.SortKey">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">SortKey</code><span class="sig-paren">(</span><em>method</em>, <em>results</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#SortKey"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.SortKey" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Sorting key for indices</p>
<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.SortKey.Cluster">
<em class="property">classmethod </em><code class="descname">Cluster</code><span class="sig-paren">(</span><em>results</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#SortKey.Cluster"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.SortKey.Cluster" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.SortKey.Input">
<em class="property">classmethod </em><code class="descname">Input</code><span class="sig-paren">(</span><em>results</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#SortKey.Input"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.SortKey.Input" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.SortKey.Overlap">
<em class="property">classmethod </em><code class="descname">Overlap</code><span class="sig-paren">(</span><em>results</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#SortKey.Overlap"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.SortKey.Overlap" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.SortKey.UnweightedRms">
<em class="property">classmethod </em><code class="descname">UnweightedRms</code><span class="sig-paren">(</span><em>results</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#SortKey.UnweightedRms"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.SortKey.UnweightedRms" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.SortKey.WeightedRms">
<em class="property">classmethod </em><code class="descname">WeightedRms</code><span class="sig-paren">(</span><em>results</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#SortKey.WeightedRms"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.SortKey.WeightedRms" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.Superposition">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">Superposition</code><span class="sig-paren">(</span><em>site_selection_method</em>, <em>setup_superposition_method</em>, <em>superposition_convergence</em>, <em>weighting</em>, <em>weight_convergence</em>, <em>incremental_damping_factor</em>, <em>max_damping_factor</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Superposition"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Superposition" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<p>Superposition methods</p>
<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.Superposition.Diamond">
<em class="property">classmethod </em><code class="descname">Diamond</code><span class="sig-paren">(</span><em>weighting</em>, <em>params</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Superposition.Diamond"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Superposition.Diamond" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.Superposition.FromParams">
<em class="property">classmethod </em><code class="descname">FromParams</code><span class="sig-paren">(</span><em>site_selection_method</em>, <em>setup_superposition_method</em>, <em>weighting</em>, <em>params</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Superposition.FromParams"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Superposition.FromParams" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="classmethod">
<dt id="MDSLibraries.ensemble_functions.Superposition.WangSnoeyink">
<em class="property">classmethod </em><code class="descname">WangSnoeyink</code><span class="sig-paren">(</span><em>weighting</em>, <em>params</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#Superposition.WangSnoeyink"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.Superposition.WangSnoeyink" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.alignment_based_residue_mapping_method">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">alignment_based_residue_mapping_method</code><span class="sig-paren">(</span><em>alignment</em>, <em>usenames=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#alignment_based_residue_mapping_method"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.alignment_based_residue_mapping_method" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.assign_chains_to_assemblies">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">assign_chains_to_assemblies</code><span class="sig-paren">(</span><em>filename</em>, <em>chain_accessed</em>, <em>from_chains</em>, <em>is_single_assembly</em>, <em>selector</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#assign_chains_to_assemblies"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.assign_chains_to_assemblies" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.atom_mapping">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">atom_mapping</code><span class="sig-paren">(</span><em>residue_map</em>, <em>assemblies</em>, <em>chain_index</em>, <em>selector</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#atom_mapping"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.atom_mapping" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.check_assembly_consistency">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">check_assembly_consistency</code><span class="sig-paren">(</span><em>assemblies</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#check_assembly_consistency"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.check_assembly_consistency" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.create_assemblies_according_to_model">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">create_assemblies_according_to_model</code><span class="sig-paren">(</span><em>filename</em>, <em>chain_accessed</em>, <em>selector</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#create_assemblies_according_to_model"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.create_assemblies_according_to_model" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.create_diamond_superposition">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">create_diamond_superposition</code><span class="sig-paren">(</span><em>sites</em>, <em>weights</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#create_diamond_superposition"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.create_diamond_superposition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.create_single_chain_assemblies">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">create_single_chain_assemblies</code><span class="sig-paren">(</span><em>filename</em>, <em>chain_accessed</em>, <em>selector</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#create_single_chain_assemblies"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.create_single_chain_assemblies" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.create_wang_snoeyink_superposition">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">create_wang_snoeyink_superposition</code><span class="sig-paren">(</span><em>sites</em>, <em>weights</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#create_wang_snoeyink_superposition"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.create_wang_snoeyink_superposition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.determine_atom_selections">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">determine_atom_selections</code><span class="sig-paren">(</span><em>assemblies</em>, <em>nchains</em>, <em>mmtypes</em>, <em>params</em>, <em>default_for</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#determine_atom_selections"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.determine_atom_selections" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.determine_residue_mappings">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">determine_residue_mappings</code><span class="sig-paren">(</span><em>assemblies</em>, <em>nchains</em>, <em>mmtypes</em>, <em>params</em>, <em>alignments</em>, <em>default_for</em>, <em>mapping_creator_for</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#determine_residue_mappings"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.determine_residue_mappings" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.find_chains">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">find_chains</code><span class="sig-paren">(</span><em>pdbs</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#find_chains"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.find_chains" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.get_final_phil">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">get_final_phil</code><span class="sig-paren">(</span><em>action_phil</em>, <em>userdefined</em>, <em>tempdir</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#get_final_phil"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.get_final_phil" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.intersect_site_selection">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">intersect_site_selection</code><span class="sig-paren">(</span><em>row</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#intersect_site_selection"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.intersect_site_selection" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.iterative_weighted_superposition">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">iterative_weighted_superposition</code><span class="sig-paren">(</span><em>superposition</em>, <em>superposition_convergence</em>, <em>weighting</em>, <em>weights</em>, <em>weight_convergence</em>, <em>incremental_damping_factor</em>, <em>max_damping_factor</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#iterative_weighted_superposition"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.iterative_weighted_superposition" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.multiple_alignment_residue_mapping_method">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">multiple_alignment_residue_mapping_method</code><span class="sig-paren">(</span><em>alignment</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#multiple_alignment_residue_mapping_method"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.multiple_alignment_residue_mapping_method" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="class">
<dt id="MDSLibraries.ensemble_functions.multiple_alignment_residue_mapping_method_by_name">
<em class="property">class </em><code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">multiple_alignment_residue_mapping_method_by_name</code><span class="sig-paren">(</span><em>alignment</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#multiple_alignment_residue_mapping_method_by_name"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.multiple_alignment_residue_mapping_method_by_name" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
</dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.muscle_residue_mapping_method">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">muscle_residue_mapping_method</code><span class="sig-paren">(</span><em>chains</em>, <em>assemblies</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#muscle_residue_mapping_method"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.muscle_residue_mapping_method" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.overlap_site_selection">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">overlap_site_selection</code><span class="sig-paren">(</span><em>row</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#overlap_site_selection"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.overlap_site_selection" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.parse_atom_selector">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">parse_atom_selector</code><span class="sig-paren">(</span><em>names</em>, <em>mmtype</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#parse_atom_selector"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.parse_atom_selector" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.process">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">process</code><span class="sig-paren">(</span><em>assemblies</em>, <em>ngroups</em>, <em>mappings</em>, <em>selections</em>, <em>superposition</em>, <em>clustering_distances</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#process"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.process" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.process_chains_from">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">process_chains_from</code><span class="sig-paren">(</span><em>root</em>, <em>mmtypes</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#process_chains_from"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.process_chains_from" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.read_chains_from">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">read_chains_from</code><span class="sig-paren">(</span><em>filename</em>, <em>selection</em>, <em>mmtypes</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#read_chains_from"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.read_chains_from" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.read_in_chains">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">read_in_chains</code><span class="sig-paren">(</span><em>pdbfile</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#read_in_chains"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.read_in_chains" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.read_in_models">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">read_in_models</code><span class="sig-paren">(</span><em>models</em>, <em>superposables</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#read_in_models"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.read_in_models" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.read_structure_from">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">read_structure_from</code><span class="sig-paren">(</span><em>filename</em>, <em>selection</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#read_structure_from"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.read_structure_from" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.resid_residue_mapping_method">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">resid_residue_mapping_method</code><span class="sig-paren">(</span><em>chains</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#resid_residue_mapping_method"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.resid_residue_mapping_method" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.run">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">run</code><span class="sig-paren">(</span><em>phil</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#run"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.run" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.setup_robust_resistant_weighting_scheme">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">setup_robust_resistant_weighting_scheme</code><span class="sig-paren">(</span><em>params</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#setup_robust_resistant_weighting_scheme"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.setup_robust_resistant_weighting_scheme" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.setup_unit_weighting_scheme">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">setup_unit_weighting_scheme</code><span class="sig-paren">(</span><em>params</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#setup_unit_weighting_scheme"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.setup_unit_weighting_scheme" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.ssm_multiple_alignment_residue_mapping_method">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">ssm_multiple_alignment_residue_mapping_method</code><span class="sig-paren">(</span><em>chains</em>, <em>assemblies</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#ssm_multiple_alignment_residue_mapping_method"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.ssm_multiple_alignment_residue_mapping_method" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.ssm_residue_mapping_method">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">ssm_residue_mapping_method</code><span class="sig-paren">(</span><em>chains</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#ssm_residue_mapping_method"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.ssm_residue_mapping_method" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.structure_similarity_analysis">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">structure_similarity_analysis</code><span class="sig-paren">(</span><em>superposition</em>, <em>clustering_distances</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#structure_similarity_analysis"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.structure_similarity_analysis" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.trim_chains_in">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">trim_chains_in</code><span class="sig-paren">(</span><em>assembly</em>, <em>errorlists</em>, <em>threshold</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#trim_chains_in"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.trim_chains_in" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.write_error_files">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">write_error_files</code><span class="sig-paren">(</span><em>prefix</em>, <em>results</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#write_error_files"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.write_error_files" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.write_multiple_singlemodel_pdb_files">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">write_multiple_singlemodel_pdb_files</code><span class="sig-paren">(</span><em>prefix</em>, <em>assemblies</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#write_multiple_singlemodel_pdb_files"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.write_multiple_singlemodel_pdb_files" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.ensemble_functions.write_single_multimodel_pdb_file">
<code class="descclassname">MDSLibraries.ensemble_functions.</code><code class="descname">write_single_multimodel_pdb_file</code><span class="sig-paren">(</span><em>prefix</em>, <em>assemblies</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/ensemble_functions.html#write_single_multimodel_pdb_file"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.ensemble_functions.write_single_multimodel_pdb_file" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.javascript_code_for_trees.html" title="MDSLibraries.javascript_code_for_trees module"
             >next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.HHPred_parser.html" title="MDSLibraries.HHPred_parser module"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" >MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>